package jp.co.powerbeans.vbscore.logic.ranking;

import java.util.Date;

import jp.co.powerbeans.vbscore.model.ActionDef;
import jp.co.powerbeans.vbscore.model.ActionResultDef;
import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.PlayerRanking;
import jp.co.powerbeans.vbscore.model.RankingDef;

/**
 * サービスエースアナライザ.
 * サービスエース数 / サービス数 の割合で集計.
 * @author amonden
 */
public class ServiceAceAnalyzer extends AnalyzerBase {

	/**
	 * コンストラクタ
	 * @param ranking_def
	 */
	public ServiceAceAnalyzer(RankingDef ranking_def) {
		super(ranking_def);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Date from_dt, Date to_dt) {
		return analyze(team_id, from_dt, to_dt,  ActionDef.SERVICE, ActionResultDef.SERVICE_ACE);
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.vbscore.logic.ranking.RankingAnalyzer#analyze(int, jp.co.powerbeans.vbscore.model.Game[], java.util.Date, java.util.Date)
	 */
	public PlayerRanking[] analyze(int team_id, Game[] games, Date from_dt, Date to_dt) {
		return analyze(team_id, games, from_dt, to_dt,  ActionDef.SERVICE, ActionResultDef.SERVICE_ACE);
	}

}
