package jp.co.powerbeans.vbscore.model;

import jp.co.powerbeans.powerql.POQLInitBean;



/**
 * アクションの種類マスタ
 * @author amonden
 *
 */
public class ActionDef implements POQLInitBean {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7271884733757307217L;

	/**
	 * その他
	 */
	public static final int ELSE = 1;

	/**
	 * サーブ
	 */
	public static final int SERVICE = 2;

	/**
	 * サーブカット
	 */
	public static final int SERV_CUT = 3;

	/**
	 * スパイク
	 */
	public static final int SPIKE = 4;

	/**
	 * アクションDefID
	 */
	private int actionDefId;
	
	/**
	 * アクション名
	 */
	private String actionName;


	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialTruncate()
	 */
	public boolean initialTruncate() {
		return true;
	}

	/* (非 Javadoc)
	 * @see jp.co.powerbeans.powerql.POQLInitBean#initialData()
	 */
	public Object[] initialData() {
		int[] ids = {
				1, 2, 3, 4, 5, 6, 7
		};
		String[] names = {
				"その他　　　", // 1
				"サーブ　　　", // 2
				"サーブカット", // 3
				"スパイク　　", // 4
				"ブロック　　", // 5
				"トス　　　　", // 6
				"レシーブ　　", // 7
		};
		ActionDef[] defs = new ActionDef[names.length];
		for (int i = 0; i < names.length; i++) {
			defs[i] = new ActionDef(ids[i], names[i]);
		}
		return defs;
	}
	
	/**
	 * コンストラクタ
	 */
	public ActionDef() {
		super();
	}

	/**
	 * コンストラクタ
	 * @param id ActionDefId
	 * @param name アクション名
	 */
	public ActionDef(int id, String name) {
		super();
		this.actionDefId = id;
		this.actionName = name;
	}

	/**
	 * @return actionDefId を戻します。
	 */
	public int getActionDefId() {
		return actionDefId;
	}

	/**
	 * @param actionDefId 設定する actionDefId。
	 */
	public void setActionDefId(int actionId) {
		this.actionDefId = actionId;
	}

	/**
	 * @return actionName を戻します。
	 */
	public String getActionName() {
		return actionName;
	}

	/**
	 * @param actionName 設定する actionName。
	 */
	public void setActionName(String actionName) {
		this.actionName = actionName;
	}


}
