package jp.co.powerbeans.vbscore.swt;


import java.util.Date;

import jp.co.powerbeans.common.ChkConv;
import jp.co.powerbeans.vbscore.CMD;
import jp.co.powerbeans.vbscore.Msg;
import jp.co.powerbeans.vbscore.db.DBManager;
import jp.co.powerbeans.vbscore.logic.ScoreMgr;
import jp.co.powerbeans.vbscore.model.Game;
import jp.co.powerbeans.vbscore.model.GameSet;
import jp.co.powerbeans.vbscore.model.Team;

import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Text;

/**
 * 公式戦開始画面.公式戦の基本情報を入力
 * @author amonden
 * 
 */
public class OfficialGameStartSwt extends PBSwt {

	/**
	 * 試合日
	 */
	private Text gameDate;

	/**
	 * 大会名
	 */
	private Text compeName;

	/**
	 * 試合名
	 */
	private Text gameName;

	/**
	 * 場所
	 */
	private Text place;

	/**
	 * 最大セット数選択コンボ
	 */
	private Combo maxSet;

	/**
	 * 自チーム
	 */
	private Combo myTeamId;

	/**
	 * 対戦チーム
	 */
	private Combo vsTeamId;


	/**
	 * ウィンドウ幅
	 */
	static final int WINDOW_WIDTH = 420;

	/**
	 * ウィンドウ高さ
	 */
	static final int WINDOW_HEIGTH = 260;

	/**
	 * タイトル
	 */
	private static final String TITLE = Msg.getInputOfficialGameInfo();

	/**
	 * コンストラクタ
	 */
	public OfficialGameStartSwt() {
		super();
		initialize();
	}

	/**
	 * 初期化
	 */
	private void initialize() {
		createSShell(TITLE, WINDOW_WIDTH, WINDOW_HEIGTH, true);
		setGridLayout(2);
//		createComposit();
		// createMenu();
		createItems();
	}

	/**
	 * 項目作成
	 */
	private void createItems() {
		
		addLabel(Msg.getGameDate());
		this.gameDate = addTextBox("gameDate");
		this.gameDate.setText(ChkConv.toString(new Date()));
		
		addLabel(Msg.getCompeName());
		this.compeName = addTextBox("compeName");
		
		addLabel(Msg.getGameName());
		this.gameName = addTextBox("gameName");
		
		addLabel(Msg.getPlace());
		this.place = addTextBox("place");
		
		addLabel(Msg.getMaxSetNum());
		this.maxSet = addComboBox("maxSet", new String[]{"1","3","5"});
		selectTop(this.maxSet);
		
		addLabel(Msg.getOwnTeam());
		this.myTeamId = addComboBoxByModel("myTeamId", Team.class, "teamName", CMD.NONE);
		selectTop(this.myTeamId);
		
		addLabel(Msg.getVsTeam());
		this.vsTeamId = addComboBoxByModel("vsTeamId", Team.class, "teamName", CMD.NONE);
		selectTop(this.vsTeamId);
		
		addSimpleButton(Msg.getNextTo(), CMD.NEXT);
		addCancelButton();
	}
	
	/**
	 * 次へボタン選択時
	 */
	public void cmdNext() {
		// Gameを保存
		Game game = (Game)copyControlToMode(Game.class);
		DBManager.insert(game);
		
		// 2. 第１セットのSetを登録
		GameSet set = ScoreMgr.createGameSet(game, 1);
		// そのほかの項目は空
		DBManager.insert(set);
		
		// セット情報入力画面へ
		new OfficialGameSetStartSwt(game, set).show();
		
		super.cmdOk();
	}
}
